Skip to content
Platform & IdentityOperations

Get operation

Returns the status and counters of an operation. When it finishes, it includes `resultUrl` or `errorsUrl`.

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/operations/7204558912004325853" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004322260",  "type": "export",  "resource": "products",  "format": "csv",  "status": "pending",  "createdOn": "2026-09-28T15:30:00Z",  "fileName": "Mi tienda",  "resultUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon"}